package com.ruoyi.approvalFlow.service.impl;
import com.ruoyi.approvalFlow.domain.AuditItemsDo;
import com.ruoyi.approvalFlow.mapper.AuditItemsDoMapper;
import com.ruoyi.approvalFlow.service.IAuditItemsDoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class AuditItemsDoServiceImpl implements IAuditItemsDoService {
    @Autowired
    private AuditItemsDoMapper auditItemsDoMapper;


    @Override
    public void insert(AuditItemsDo auditItemsDo) {
        auditItemsDoMapper.insert(auditItemsDo);
    }

    @Override
    public void update(AuditItemsDo auditItemsDo) {
        auditItemsDoMapper.updateById(auditItemsDo);
    }

    @Override
    public int deleteById(Long id) {
        return auditItemsDoMapper.deleteById(id);
    }
}
